<script>
	export let data;
	const { title, date, content, posts } = data;

	import { pageData } from '$lib/stores/pageData.js';
	$: pageData.update(() => data);
</script>

<svelte:head>
	<title>My Personal Webpage</title>
	<meta property="og:title" content={title} />
</svelte:head>

{#if content}
	<article>
		<svelte:component this={content} />
		{#if posts.length > 0}
			<ul>
				{#each posts as post}
					<li>
						<h2>
							<a href={post.path}>
								{post.meta.title}
							</a>
						</h2>
						<!-- Publicado em {post.meta.date} -->
					</li>
				{/each}
			</ul>
		{:else}
			Não há posts para serem lidos
		{/if}
	</article>
{:else}
	404 - Página não encontrada
{/if}

<!-- TODO: Isso é temporário, achar uma foma melhor de fazer isso -->
<style lang="scss">
	ul {
		display: flex;
		flex-direction: column;
		list-style-type: none;
		margin-left: 0;

		li h2 a {
			font-size: 0.8em;
		}
	}
</style>
